<?php
	/*
	 *
	 * 2003 - 2023 @ Yal Publicidad - yPanel
	 * www.yalpublicidad.com
	 * online@yalpublicidad.com
	 *
	 * funciones principales de modulo
	 */
	
	/* Autorizo acceso */
		defined('YPANEL_INI') or die( 'No dispones de acceso' );
?>
	
	<div class="m-t-30 m-b-20">
		<?php echo com_boton( 'nuevo', etiqueta( 'b_nuevo_tema', 'Adquirir nuevo tema' ) ) . ' ' .  com_boton( 'binstalar', etiqueta( 'b_instalar_tema', 'Instalar/actualizar tema desde este dispositivo' ) ); ?>
	</div>
	
	<form method="post" action="<?php echo com_base() ?>prcss.php" enctype="multipart/form-data">
		<input type="hidden" name="acc" value="g-tema">
		<input type="file" id="itema" name="tema" onChange="insTema( this.form );" style="display:none;">
		<fieldset>
			<legend><?php echo etiqueta( 'legend_tema_1', 'Temas Instalados' ) ?></legend>
				<?php
					$html = '';
					
					$sql = _mysql_query( "SELECT * FROM " . MYSQL_PREFIJO_SISX . "plantillas" );
					while( $row = _mysql_fetch_array( $sql ) ){
						$imgTmp	= ( file_exists( _DIR_PAQUETE_WEB . YDS . 'sitio' . YDS . $row['plantilla'] . YDS . 'capturadepantalla.png' ) ) ? '../sitio/' . $row['plantilla'] . '/capturadepantalla.png' : 'images/no-disponible.png';
						$tmpCk	= ( $row['sel'] == 1 ) ? ' checked' : '';
						
						$html .= '<li class="col-md-4">
							<div class="m-l-5 m-r-5 m-b-10">
								<div>
									<input type="radio" id="seltmp' . $row['id'] . '" name="seltmp"' . $tmpCk . ' onClick="publicar(\'1\',\'' . $row['id'] . '\')"> ';
									
						$html .= ( $row['sel'] == 1 ) ? etiqueta('e_tema_seleccionado' , 'Tema seleccionado') . ' &nbsp; <a href="javascript:;" onClick="publicar(\'0\',\'' . $row['id'] . '\')" title="Desactivar tema"><i class="fa fa-eye-slash"></i></a>' : etiqueta( 'e_seleccionar_tema', 'Seleccionar tema' );
						
						
						$html .= ' &nbsp; <a href="javascript:;" onClick="eliminar(\'' . $row['id'] . '\')" title="Eliminar tema"><i class="fa fa-trash"></i></a>
								</div>
								<div><a href="' . $row['url_plantilla'] . '" target="_blank"><img src="' . $imgTmp . '" alt=""></a></div>
								<div class="row">
									<div class="col-md-5">Version:</div>
									<div class="col-md-7">' . $row['version'] . '</div>
									<div class="col-md-5">Autor:</div>
									<div class="col-md-7">' . $row['autor'] . '</div>
									<div class="col-md-5">Licencia:</div>
									<div class="col-md-7">' . $row['licencia'] . '</div>
								</div>
							</div>
						</li>';
					}
				?>
				
				<ul class="row">
					<?php echo ( empty( $html ) ) ? 'Aún no tienes temas instalados. Ingresa a nuestra tienda y adquiere temas responsive para mostrar tu sitio web.' : $html ?>
				</ul>			
		</fieldset>
	</form>
		
	<script>
		$_("#nuevo").onclick = function(){ 
		  	location.href='<?php echo post_link( 'tienda' ); ?>'; 
		}
		
		$_("#binstalar").onclick = function(){ 
		  	$_("#itema").click();
		}
		
		function publicar(publicado,idn){ 
		  	ecajax('<?php echo com_base() ?>prcss', '#consola_msj', 'acc=e-publicar&publicado=' + publicado + '&post=' + idn);
			if( publicado == 0 ) $_('#seltmp' + idn).checked = false;
		}
		
		function eliminar(idn){ 
		  	ecajax('<?php echo com_base() ?>prcss', '#consola_msj', 'acc=e-eliminar&post=' + idn);
		}
		
		function insTema(f){
			MsjBox.mostrar('Iniciando instalación de tema...');
			//eformData(f);
			var Data = new FormData(f);
			frmData({
						url: f.action,
						data: Data,
						suceso: function(respuesta){ $_('#consola_msj').innerHTML = respuesta; window.scrollTo( 0, 0 ); setTimeout( "actualizar()", 1000 ) }
				});
		}
		
		frmData = function( ajustes ){
			if(window.XMLHttpRequest) {
							var ajax = new XMLHttpRequest();
			}else if(window.ActiveXObject) {
							var ajax = new ActiveXObject('Microsoft.XMLHTTP');
			}
			//var Data = new FormData(ajustes.data);
			//var msRequest = msXHRO();
			ajax.open('POST', ajustes.url, true);
						ajax.onload = function(Event) {
									if (ajax.status == 200) {
											ajustes.suceso(ajax.responseText);
									} else {
											ajustes.suceso(ajax.status);
									}
						};	  
			ajax.send(ajustes.data);			
			//msRequest.send(Data);
		}
		
		  
		function actualizar(){location.reload(true);}
	</script>
